Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.logging.commons
Class CommonsLogger

    java.lang.Object
      com.opensymphony.xwork2.util.logging.commons.CommonsLogger

All Implemented Interfaces:
  Logger

    public class CommonsLogger

extends Object
implements Logger

Simple logger that delegates to commons logging

Constructor Summary
`CommonsLogger(org.apache.commons.logging.Log log)`

Method Summary
`void` | `debug(String msg, Object... args)`
`void` | `debug(String msg, String... args)`
`void` | `debug(String msg, Throwable ex, String... args)`
`void` | `error(String msg, Object... args)`
`void` | `error(String msg, String... args)`
`void` | `error(String msg, Throwable ex, String... args)`
`void` | `fatal(String msg, String... args)`
`void` | `fatal(String msg, Throwable ex, String... args)`
`void` | `info(String msg, String... args)`
`void` | `info(String msg, Throwable ex, String... args)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(String msg, Object... args)`
`void` | `trace(String msg, String... args)`
`void` | `trace(String msg, Throwable ex, String... args)`
`void` | `warn(String msg, Object... args)`
`void` | `warn(String msg, String... args)`
`void` | `warn(String msg, Throwable ex, String... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLogger

    public CommonsLogger(org.apache.commons.logging.Log log)

Method Detail

### error

    public void error(String msg,
                      String... args)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(String msg,
                      Object... args)

  Specified by:
    `error` in interface `Logger`

### error

    public void error(String msg,
                      Throwable ex,
                      String... args)

  Specified by:
    `error` in interface `Logger`

### info

    public void info(String msg,
                     String... args)

  Specified by:
    `info` in interface `Logger`

### info

    public void info(String msg,
                     Throwable ex,
                     String... args)

  Specified by:
    `info` in interface `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `Logger`

### warn

    public void warn(String msg,
                     String... args)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(String msg,
                     Object... args)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(String msg,
                     Throwable ex,
                     String... args)

  Specified by:
    `warn` in interface `Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### debug

    public void debug(String msg,
                      String... args)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(String msg,
                      Object... args)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(String msg,
                      Throwable ex,
                      String... args)

  Specified by:
    `debug` in interface `Logger`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `Logger`

### trace

    public void trace(String msg,
                      String... args)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(String msg,
                      Object... args)

  Specified by:
    `trace` in interface `Logger`

### trace

    public void trace(String msg,
                      Throwable ex,
                      String... args)

  Specified by:
    `trace` in interface `Logger`

### fatal

    public void fatal(String msg,
                      String... args)

  Specified by:
    `fatal` in interface `Logger`

### fatal

    public void fatal(String msg,
                      Throwable ex,
                      String... args)

  Specified by:
    `fatal` in interface `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `Logger`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.